/** Barcode document format */
export type ValidationStatus = 
/** Field value failed validation */
'Invalid'
/** Field value passed validation */
 | 'Valid';
/** Result of GDR field recognition. */
export interface FieldValue {
    /** Recognized text */
    text?: string;
    /** Confidence in result accuracy. The value ranges from 0 to 100, higher is better. */
    confidence?: number;
}
/** Field type */
export interface GenericDocumentNormalizedType {
    /** Local document type name. */
    name: string;
    /** Unique global document type name prefixed with the document types of all containing documents. */
    fullName: string;
    /** Normalized global document type name. Common document types appearing as child documents in different places will often have the same normalized type name. */
    normalizedName: string;
}
/** Document field */
export interface Field {
    /** Optional value of the field */
    value?: FieldValue;
    /** Field validation status. Applicable only to fields that support some kind of validation. */
    validationStatus?: ValidationStatus;
}
