package io.scanbot.sdk.plugin.cordova

import com.google.gson.Gson
import com.google.gson.reflect.TypeToken
import org.json.JSONArray
import org.json.JSONObject

fun convertMapToJson(map: Map<String, Any>): JSONObject {
  return JSONObject(map)
}

fun JSONObject.itemToMap(): Map<String, Any> {
  return Gson().fromJson<Map<String, Any>>(this.toString(), Map::class.java)
}

fun JSONArray.itemToStringList(): List<String> {
  return Gson().fromJson<List<String>>(this.toString(), List::class.java)
}

fun JSONArray.itemToStringList(keyValue: String, position: Int = 0): List<String>{
  return this.getJSONObject(position).getJSONArray(keyValue).itemToStringList()
}

fun JSONArray.itemToMap(position: Int = 0): Map<String, Any> {
  return this.getJSONObject(position).itemToMap()
}

fun JSONArray.itemToMap(keyValue: String, position: Int = 0): Map<String, Any> {
  return this.optJSONObject(position).getJSONObject(keyValue).itemToMap()
}

fun JSONArray.optItemToMap(position: Int = 0): Map<String, Any>? {
  return this.optJSONObject(0)?.itemToMap()
}

fun JSONArray.optItemToMap(keyValue: String, position: Int = 0): Map<String, Any>? {
  return this.optJSONObject(0)?.optJSONObject(keyValue)?.itemToMap()
}

fun JSONArray.itemToString(keyValue: String, position: Int = 0): String {
  return this.getJSONObject(position).getString(keyValue)
}

fun JSONArray.optItemToString(keyValue: String, position: Int = 0): String? {
  return this.optJSONObject(0)?.optString(keyValue)
}

fun JSONArray.itemToInt(keyValue: String, position: Int = 0): Int {
  return this.getJSONObject(position).getInt(keyValue)
}
