
import Foundation
import ScanbotSDKNativeWrapper

public class ResultDelegate: SBNWProxyDelegate {

    let commandDelegate: CDVCommandDelegate
    let callbackId: String

    init(commandDelegate: CDVCommandDelegate, callbackId: String!) {
        self.commandDelegate = commandDelegate
        self.callbackId = callbackId
    }

    public func didResolvePromise(result: [String : Any]) {
        commandDelegate.send(
            CDVPluginResult(status: CDVCommandStatus_OK, messageAs: result),
            callbackId: callbackId
        )
    }

    public func didRejectPromise(error: [String : Any]) {
        commandDelegate.send(
            CDVPluginResult(status: CDVCommandStatus_ERROR, messageAs: error),
            callbackId: callbackId
        )
    }

}
