
extension CDVInvokedUrlCommand {

    func itemAtIndexToMap(_ index: UInt = 0) -> [String:Any]? {
        return self.argument(at: index, withDefault: nil) as? [String: Any];
    }

    func itemAtIndexToMap(key: String, _ index: UInt = 0) -> [String:Any]? {
        if let outerDictionary = self.itemAtIndexToMap(0),
           let innerDictionary = outerDictionary[key] as? [String: Any] {
            return innerDictionary
         }
        return nil
    }

    func itemAtIndexToString(_ index: UInt = 0) -> String? {
        return self.argument(at: index, withDefault: nil) as? String
    }

    func itemAtIndexToString(key: String, _ index: UInt = 0) -> String? {
        if let outerDictionary = self.itemAtIndexToMap(0),
           let innerValue = outerDictionary[key] as? String {
            return innerValue
         }
        return nil
    }

    func itemAtIndexToStringList(key:String, _ index: UInt = 0) -> [String]? {
        if let outerDictionary = self.itemAtIndexToMap(0),
           let innerArray = outerDictionary[key] as? [String] {
            return innerArray
         }
        return nil
    }

    func itemAtIndexToDouble(key: String,_ index: UInt = 0) -> Double? {
        if let outerDictionary = self.argument(at: index, withDefault: nil) as? [String:Any],
           let innerValue =  outerDictionary[key]  {
            switch innerValue {
            case let intValue as Int:
                return Double(intValue)
            case let doubleValue as Double:
                return doubleValue
            default: return nil
            }
        }

        return nil
    }

    func itemAtIndexToInt(key: String, _ index: UInt = 0) -> Int? {
        if let outerDictionary = self.argument(at: index, withDefault: nil) as? [String:Any],
           let innerValue =  outerDictionary[key] as? Int {
            return innerValue
        } else {
            return nil
        }
    }

}
