const constants = require('./constants')
// import ScanbotSDK from "../dist/index"

const SDK = ScanbotSdk.promisify();

async function initializeSdk(licenseKey, documentDetectorMode = 'ML_BASED') {
    const config = {
        loggingEnabled: true,
        licenseKey: licenseKey,
        documentDetectorMode: documentDetectorMode
    }
    try{
        await SDK.initializeSdk(config);
    } catch (e) {
        console.log(e)
    }
}

async function getLicenseInfo() {
    return await SDK.getLicenseInfo();
}

async function validateLicense(config) {
    // 1. check if license is valid
    try{
        const expectedLicenseValid = (await getLicenseInfo()).isLicenseValid
        const actualLicenseValid = config.isLicenseValid;
        expect(expectedLicenseValid).toBe(actualLicenseValid);

        // 2. check license status
        const expectedLicenseStatus = (await getLicenseInfo()).licenseStatus
        const actualLicenseStatus = config.licenseStatus
        expect(expectedLicenseStatus).toBe(actualLicenseStatus);

    } catch (e) {
        expect(e).toBeUndefined()
    }

}

module.exports = {
    initializeSdk,
    getLicenseInfo,
    validateLicense,
}
