# Scanbot Document and Barcode Scanner SDK for Cordova

## Add enterprise-grade document and barcode scanning as well as data capture functionalities to your app in no time
The Scanbot [Document](https://scanbot.io/products/document-scanning/document-scanner-sdk/) and
[Barcode Scanner SDK](https://scanbot.io/products/barcode-software/barcode-sdk/) for Cordova enables you to easily
implement scanning, document creation, and data extraction functionalities for your apps on iOS and Android.

Access the available cameras on the mobile device, choose the interface, configure the settings, and let your users
easily scan any document, barcode, or other data in your application.

Benefit from advanced machine-learning based features like automatic scanning, perspective correction, user guidance,
automated cropping, multiple export formats like PDF, TIFF, JPEG; blur detection, image filters, encryption,
and much more...

Check out the [demo](https://scanbot.io/trial/demo-app/).


## Documentation & Example App
To integrate this module into your application please follow the steps in our
[documentation](https://docs.scanbot.io/document-scanner-sdk/cordova/introduction/)
and check out our [example app](https://github.com/doo/scanbot-sdk-example-ionic).


## Changelog
For a detailed list of the changes included in each version, please see the
[changelog](https://docs.scanbot.io/document-scanner-sdk/cordova/changelog/).


## Trial License
The Scanbot SDK will run without a license for one minute per session! To get an unrestricted, "no-strings-attached" 7-day trial license, please submit the [Trial License Form](https://scanbot.io/trial/) on our website. If you need more time to test our SDK, you can also submit our [Proof of Concept Form](https://scanbot.io/trial/poc/) – giving you a free trial period of 30 days.

Please kindly note that a trial license can only be used in a **development and staging environment**. You are **not allowed to publish** your app to the App Store, Play Store or any 3rd party Android App Store with a trial license.


## Free Developer Support
We provide free "no-strings-attached" developer support for the implementation & testing of the Scanbot SDK. If you encounter technical issues with integrating the Scanbot SDK or need advice on choosing the appropriate framework or features, please visit our [Support Page](https://docs.scanbot.io/support/).